Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.data
Class Transition

    java.lang.Object
      net.sf.dropboxmq.workflow.data.Transition

All Implemented Interfaces:
  Serializable, Cloneable

    public class Transition

extends Object
implements Serializable, Cloneable

Created: 28 Jul 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`Transition()`

Method Summary
`Transition` | `clone()`
`boolean` | `equals(Object obj)`
`Integer` | `getFromStateId()`
`String` | `getFromStateName()`
`Integer` | `getId()`
`String` | `getName()`
`Integer` | `getProcessTypeId()`
`String` | `getTestXPath()`
`Integer` | `getToStateId()`
`String` | `getToStateName()`
`String` | `getTransformerFilePath()`
`int` | `hashCode()`
`void` | `setFromStateId(Integer fromStateId)`
`void` | `setFromStateName(String fromStateName)`
`void` | `setId(Integer id)`
`void` | `setName(String name)`
`void` | `setProcessTypeId(Integer processTypeId)`
`void` | `setTestXPath(String testXPath)`
`void` | `setToStateId(Integer toStateId)`
`void` | `setToStateName(String toStateName)`
`void` | `setTransformerFilePath(String transformerFilePath)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Transition

    public Transition()

Method Detail

### getId

    public Integer getId()

### setId

    public void setId(Integer id)

### getName

    public String getName()

### setName

    public void setName(String name)

### getTestXPath

    public String getTestXPath()

### setTestXPath

    public void setTestXPath(String testXPath)

### getFromStateId

    public Integer getFromStateId()

### setFromStateId

    public void setFromStateId(Integer fromStateId)

### getToStateId

    public Integer getToStateId()

### setToStateId

    public void setToStateId(Integer toStateId)

### getTransformerFilePath

    public String getTransformerFilePath()

### setTransformerFilePath

    public void setTransformerFilePath(String transformerFilePath)

### getProcessTypeId

    public Integer getProcessTypeId()

### setProcessTypeId

    public void setProcessTypeId(Integer processTypeId)

### getFromStateName

    public String getFromStateName()

### setFromStateName

    public void setFromStateName(String fromStateName)

### getToStateName

    public String getToStateName()

### setToStateName

    public void setToStateName(String toStateName)

### clone

    public final Transition clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD